<?php 
function fnHintsList() {
	global $inputs;
	
	$dispErrMsg="";
	$hightlight="";
	
	$dispInvTxt=$inputs->invWords;
	
	if (isset($inputs->hidHDelId) && $inputs->hidHDelId > 0) {
		$cDelHints=fnHintsDelete();
		$dispErrMsg="The Hint has been deleted";
	}
	
	if (isset($inputs->invSubmit)) {
		$cEmailExist=fnCheckEmailExist();
		if (count($cEmailExist) > 0) {
			$dispErrMsg="The Hint has been already added";
			$hightlight=$cEmailExist[0]['sno'];
		} else {
			$hightlight=fnInserInvalidEmail();
			$dispErrMsg="The Hint has been added";
			$dispInvTxt='';
		}
	}
	
	$gEmailList=fnGetEmailList();

	$html = '
			<script type="text/javascript">
				$(function(){
					$(".admin-he").hide(0);
					//$(".cmsMsec, .cmswid").toggleClass("cmswidh");
				});
			
				function fnInvalid(){
					var invWords=document.getElementById("invWords");
					var tdInvMsg=document.getElementById("tdInvMsg");
			
					if(invWords.value.trim()==""){
						tdInvMsg.innerText="Enter The Hints";
						invWords.focus();
						return false;
					}else{
						tdInvMsg.innerText="";
						return true;
						//document.offFrm.submit();
					}
				}
			
				function fnHintDelete(sno){
					var hidHDelId=document.getElementById("hidHDelId");
					hidHDelId.value=sno;
					//return true;
					document.offFrm.submit();
				}
			</script>
			<!--<link href="'.SITE_PATH . '/css/temp-pf-style.css" rel="stylesheet" type="text/css" />-->
			';
	$html .= '
			<form name = "offFrm" method = "POST">
				<input type="hidden" id="hidHDelId" name="hidHDelId" value="0">
			<table style = "width:100%;" class="blo-head">
				<tr>
					<td style = "height:20px;">
						View Hints List
					</td>
				<tr>
			</table>
			<table align="center" border="0" style="padding:0px;margin:0px;width:100%;">
				<tr>
					<td style="color:red;text-align:center;" colspan="3" id="tdInvMsg" align="center">'.$dispErrMsg.'</td>
				</tr>
			</table>
			<fieldset style="border:1px solid black;width:99%;margin:0px;padding:0px;padding-bottom:5px;">
			<legend>Add Hints</legend>
			<table align="center" border="0" style="padding:0px;margin:0px;">
				<tr>
					<td><b>Hints</b></td>
					<td><input type="text" id="invWords" name="invWords" style="width:250px;" tabIndex="1" value="'.$dispInvTxt.'"></td>
					<td colspan="2" align="center"><input type="submit" name="invSubmit" value="Submit" onclick="return fnInvalid();"></td>
				</tr>
			</table>
			</fieldset>
			<table style = "width:99%;border-collapse:collapse;margin-top:20px;margin-bottom:30px;table-layout:fixed;word-wrap:break-word;float:left;margin-right:20px;" 
				border = "1" align="">
				<tr style = "background-color:#54606e;color:white;border:1px solid black;">
					<th style = "width:20px;height:35px;">S.No</th>
					<th style = "width:130px;">Hints</th>
					<!--<th style = "width:60px;">Date Time</th>-->
					<th style = "width:20px;">Process</th>
				</tr>';
		$i=0;
		foreach ($gEmailList as $key => $val) {
			$bgColor="";
			
			if ($i % 2 == 0) {
				$bgColor="background-color:#e6e6e6;";
			}
			$invword=$val['word'];
			$date=$val['date'];
			$sno=$val['sno'];
			
			//$hightlightColor=$bgColor;
			if ($hightlight == $val['sno']) {
				$bgColor="background-color:orange;";
			}
		$html .= '
				<tr style="'.$bgColor.'">
					<td align="center" style = "height:25px;">
						'.($i+1).'
					</td>
					<td align="" style="padding-left:5px;">'.$invword.'</td>
					<!--<td align="center">'.$date.'</td>-->
					<td align="center" style="text-align:center;">
						<a style="color: red; text-decoration: none;" onclick="fnHintDelete('.$sno.');" href="javascript:" title="Delete">
							<i class="fa fa-trash-o" style="font-size: 16px;"></i></a>
					</td>
				</tr>
				';
			$i++;
		}
	$html .= '</table>
			
			</form>
			<style>
				#header{display:none}
				.cmsmaq{background:none;padding:0px}
				.cmwidse{margin-top:10px}
			</style>
			';
	return $html;
}

function fnGetEmailList() {
	global $dbase,$inputs;
	
	$sql="select * from ".DB_com_name.".filterwords order by date desc";
	$exeQuery = $dbase->db_sql_query($sql);
	
	$returnArray = fnTConArrType($exeQuery);
	return  $returnArray;
}

function fnCheckEmailExist() {
	global $dbase,$inputs;

	$sql="select * from ".DB_com_name.".filterwords where word='$inputs->invWords'";
	$exeQuery = $dbase->db_sql_query($sql);

	$returnArray = fnTConArrType($exeQuery);
	return  $returnArray;
}

function fnInserInvalidEmail(){
	global $dbase,$inputs,$memc;
	
	$sql="insert into ".DB_com_name.".filterwords(word,date) values('$inputs->invWords', now())";
	$exeQuery = $dbase->db_sql_query($sql);
	
	$returnArray = $dbase->db_lastid();
	/*
	$memCacheKey="commontabs.filterwordswordennewfilwordhintxx";
	if ($memc->getValue($memCacheKey)){
		//unset("commontabs.filterwordswordennewfilwordhintxx");
		$memc->delete($memCacheKey);
	}*/
	return  $returnArray;
}

function fnTConArrType($exeQuery) {
	$returnArray = array();
	if (count($exeQuery) > 0) {
		if (is_array($exeQuery[0])) {
			$returnArray = $exeQuery;
		} else {
			$returnArray[0] = $exeQuery;
		}
	}

	return $returnArray;
}

function fnHintsDelete(){
	global $dbase,$inputs,$memc;
	
	$sql="delete from ".DB_com_name.".filterwords where sno='$inputs->hidHDelId'";
	$exeQuery = $dbase->db_sql_query($sql);
	
	/*$memCacheKey="commontabs.filterwordswordennewfilwordhintxx";
	if ($memc->getValue($memCacheKey)){
		$memc->delete($memCacheKey);
	}*/
	
	$returnArray = $exeQuery;
}
?>
